Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component.html
Class HtmlDoctype

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.html.HtmlDoctype

All Implemented Interfaces:
  java.util.EventListener, PartialStateHolder, StateHolder, TransientStateHolder, ValueHolder, ComponentSystemEventListener, FacesListener, SystemEventListenerHolder

    public class HtmlDoctype

extends UIOutput

NONE

By default, the `rendererType` property must be set to "`javax.faces.Doctype`". This value can be changed by calling the `setRendererType()` method.

Nested Class Summary
`protected static class` | `HtmlDoctype.PropertyKeys`

Field Summary
`static java.lang.String` | `COMPONENT_TYPE` The standard component type for this component.

Fields inherited from class javax.faces.component.UIOutput
`COMPONENT_FAMILY`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`HtmlDoctype()`

Method Summary
`java.lang.String` | `getPublic()` Return the value of the `public` property.
`java.lang.String` | `getRootElement()` Return the value of the `rootElement` property.
`java.lang.String` | `getSystem()` Return the value of the `system` property.
`void` | `setPublic(java.lang.String _public)` Set the value of the `public` property.
`void` | `setRootElement(java.lang.String rootElement)` Set the value of the `rootElement` property.
`void` | `setSystem(java.lang.String system)` Set the value of the `system` property.

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getFamily, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

  The standard component type for this component.

  See Also:
    Constant Field Values

Constructor Detail

### HtmlDoctype

    public HtmlDoctype()

Method Detail

### getPublic

    public java.lang.String getPublic()

  Return the value of the `public` property.

  Contents:

  Will be output as the public part of the DOCTYPE

### setPublic

    public void setPublic(java.lang.String _public)

  Set the value of the `public` property.

### getRootElement

    public java.lang.String getRootElement()

  Return the value of the `rootElement` property.

  Contents:

  The root XML element

### setRootElement

    public void setRootElement(java.lang.String rootElement)

  Set the value of the `rootElement` property.

### getSystem

    public java.lang.String getSystem()

  Return the value of the `system` property.

  Contents:

  Will be output as the system part of the DOCTYPE

### setSystem

    public void setSystem(java.lang.String system)

  Set the value of the `system` property.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.